package com.steerinfo.appservice.appcmmcarweightresults.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车衡净重数据")
public class AppCmmCarweightresults implements IBasePO<String> {
    /**
     * 作业编号(WGT_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="作业编号",required=true)
    private String wgtNo;

    /**
     * 票据单号(BILLNO,VARCHAR,30)
     */
    @ApiModelProperty(value="票据单号",required=false)
    private String billno;

    /**
     * 计量委托编号(TRU_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="计量委托编号",required=false)
    private String truNo;

    /**
     * 计量批次号(LGS_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="计量批次号",required=false)
    private String lgsNo;

    /**
     * 车号(CAR_NO,VARCHAR,16)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 车证卡号(ICD_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="车证卡号",required=false)
    private String icdNo;

    /**
     * 毛重车厢序号(用在轨道衡)(GRS_BOX_NO,DECIMAL,2)
     */
    @ApiModelProperty(value="毛重车厢序号(用在轨道衡)",required=false)
    private Short grsBoxNo;

    /**
     * 皮重车厢序号(用在轨道衡)(TAR_BOX_NO,DECIMAL,2)
     */
    @ApiModelProperty(value="皮重车厢序号(用在轨道衡)",required=false)
    private Short tarBoxNo;

    /**
     * 毛重车速(用在轨道衡)(GRS_SPD,DECIMAL,4)
     */
    @ApiModelProperty(value="毛重车速(用在轨道衡)",required=false)
    private BigDecimal grsSpd;

    /**
     * 皮重车速(用在轨道衡)(TAR_SPD,DECIMAL,4)
     */
    @ApiModelProperty(value="皮重车速(用在轨道衡)",required=false)
    private BigDecimal tarSpd;

    /**
     * 车型(用在轨道衡)(用在轨道衡)(TRN_TYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="车型(用在轨道衡)(用在轨道衡)",required=false)
    private String trnType;

    /**
     * 毛重录像文件名称(用在轨道衡)改用于成品与汽车对比分析表中的备注( MES报表)(GRS_VDO_FILE,VARCHAR,50)
     */
    @ApiModelProperty(value="毛重录像文件名称(用在轨道衡)改用于成品与汽车对比分析表中的备注( MES报表)",required=false)
    private String grsVdoFile;

    /**
     * 皮重录像文件名称(用在轨道衡)(TAR_VDO_FILE,VARCHAR,50)
     */
    @ApiModelProperty(value="皮重录像文件名称(用在轨道衡)",required=false)
    private String tarVdoFile;

    /**
     * 毛重列车编号(用在轨道衡)(GRS_TRN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重列车编号(用在轨道衡)",required=false)
    private String grsTrnNo;

    /**
     * 皮重列车编号(用在轨道衡)(TAR_TRN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重列车编号(用在轨道衡)",required=false)
    private String tarTrnNo;

    /**
     * 检斤类型(WGT_TYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="检斤类型",required=false)
    private String wgtType;

    /**
     * 毛重(GRS_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal grsWgt;

    /**
     * 皮重(TAR_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal tarWgt;

    /**
     * 净重(NET_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal netWgt;

    /**
     * 第二磅单重量(NO2_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="第二磅单重量",required=false)
    private BigDecimal no2Wgt;

    /**
     * 毛重计量编号(GRS_WGT_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="毛重计量编号",required=false)
    private String grsWgtNo;

    /**
     * 皮重计量编号(TAR_WGT_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="皮重计量编号",required=false)
    private String tarWgtNo;

    /**
     * "0=毛重
1=常规皮重
2=期限皮重 3=历史皮重，
4=标识皮重，
5=自重皮重(TAR_TYPE,CHAR,1)
     */
    @ApiModelProperty(value="0=毛重1=常规皮重2=期限皮重 3=历史皮重，4=标识皮重，5=自重皮重",required=false)
    private String tarType;

    /**
     * 皮重来源0=仪表采集，1=手工录入(TAR_INF_MODE,CHAR,1)
     */
    @ApiModelProperty(value="皮重来源0=仪表采集，1=手工录入",required=false)
    private String tarInfMode;

    /**
     * 毛重来源0=仪表采集，1=手工录入(GRS_INF_MODE,CHAR,1)
     */
    @ApiModelProperty(value="毛重来源0=仪表采集，1=手工录入",required=false)
    private String grsInfMode;

    /**
     * 净重来源0=计算，1=手工录入(NET_INF_MODE,CHAR,1)
     */
    @ApiModelProperty(value="净重来源0=计算，1=手工录入",required=false)
    private String netInfMode;

    /**
     * 毛重时间(GRS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="毛重时间",required=false)
    private Date grsTime;

    /**
     * 皮重时间(TAR_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重时间",required=false)
    private Date tarTime;

    /**
     * 二次计量时间(NET_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="二次计量时间",required=false)
    private Date netTime;

    /**
     * 毛重班次(GRS_WRK_ORD,VARCHAR,10)
     */
    @ApiModelProperty(value="毛重班次",required=false)
    private String grsWrkOrd;

    /**
     * 皮重班次(TAR_WRK_ORD,VARCHAR,10)
     */
    @ApiModelProperty(value="皮重班次",required=false)
    private String tarWrkOrd;

    /**
     * 净重班次(NET_WRK_ORD,VARCHAR,10)
     */
    @ApiModelProperty(value="净重班次",required=false)
    private String netWrkOrd;

    /**
     * 毛重班别(GRS_WRK_GRP,VARCHAR,10)
     */
    @ApiModelProperty(value="毛重班别",required=false)
    private String grsWrkGrp;

    /**
     * 皮重班别(TAR_WRK_GRP,VARCHAR,10)
     */
    @ApiModelProperty(value="皮重班别",required=false)
    private String tarWrkGrp;

    /**
     * 净重班别(NET_WRK_GRP,VARCHAR,10)
     */
    @ApiModelProperty(value="净重班别",required=false)
    private String netWrkGrp;

    /**
     * 毛重计量员(GRS_OPR,VARCHAR,10)
     */
    @ApiModelProperty(value="毛重计量员",required=false)
    private String grsOpr;

    /**
     * 皮重计量员(TAR_OPR,VARCHAR,10)
     */
    @ApiModelProperty(value="皮重计量员",required=false)
    private String tarOpr;

    /**
     * 净重计量员(NET_OPR,VARCHAR,10)
     */
    @ApiModelProperty(value="净重计量员",required=false)
    private String netOpr;

    /**
     * 毛重计量点(GRS_PNT_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量点",required=false)
    private String grsPntName;

    /**
     * 皮重计量点(TAR_PNT_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量点",required=false)
    private String tarPntName;

    /**
     * 净重计量点(NET_PNT_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="净重计量点",required=false)
    private String netPntName;

    /**
     * 毛重计量点编号(GRS_PNT_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="毛重计量点编号",required=false)
    private String grsPntNo;

    /**
     * 皮重计量点编号(TAR_PNT_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="皮重计量点编号",required=false)
    private String tarPntNo;

    /**
     * 净重计量点编号(NET_PNT_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="净重计量点编号",required=false)
    private String netPntNo;

    /**
     * 备注(NOTE,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String note;

    /**
     * 发货点类型(SDR_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="发货点类型",required=false)
    private String sdrType;

    /**
     * 发货单位(SDR_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位",required=false)
    private String sdrName;

    /**
     * 发货单位编码(SENDER,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编码",required=false)
    private String sender;

    /**
     * 发货点备注(即货源)(SDR_NOTE,VARCHAR,100)
     */
    @ApiModelProperty(value="发货点备注(即货源)",required=false)
    private String sdrNote;

    /**
     * 收货点类型(RCV_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="收货点类型",required=false)
    private String rcvType;

    /**
     * 收货单位(RCV_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位",required=false)
    private String rcvName;

    /**
     * 收货单位编码(RECEIVER,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编码",required=false)
    private String receiver;

    /**
     * 收货点备注(RCV_NOTE,VARCHAR,100)
     */
    @ApiModelProperty(value="收货点备注",required=false)
    private String rcvNote;

    /**
     * 物料名称(MAT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matName;

    /**
     * 物料编码(MAT_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String matCode;

    /**
     * 小票打印次数(B1_PRN_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="小票打印次数",required=false)
    private Short b1PrnNum;

    /**
     * 大票打印次数(B2_PRN_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="大票打印次数",required=false)
    private Short b2PrnNum;

    /**
     * 小票2打印次数(B1_PRN_NUM_2,DECIMAL,3)
     */
    @ApiModelProperty(value="小票2打印次数",required=false)
    private Short b1PrnNum2;

    /**
     * MES上传标志 0：未上传，1：上传成功，2：撤销成功，3：撤销失败，4：上传失败(UPL_FLG,VARCHAR,1)
     */
    @ApiModelProperty(value="MES上传标志 0：未上传，1：上传成功，2：撤销成功，3：撤销失败，4：上传失败",required=false)
    private String uplFlg;

    /**
     * mes上传时间(UPL_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="mes上传时间",required=false)
    private Date uplTime;

    /**
     * 是否删除：0=有效，1=无效，2=删除(DEL_FLG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否删除：0=有效，1=无效，2=删除",required=false)
    private String delFlg;

    /**
     * 是否换长数据(用在轨道衡)0=未换长，1=换长(EXT_BOX,CHAR,1)
     */
    @ApiModelProperty(value="是否换长数据(用在轨道衡)0=未换长，1=换长",required=false)
    private String extBox;

    /**
     * 预报总重(对方毛重)(SDR_GRS_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="预报总重(对方毛重)",required=false)
    private BigDecimal sdrGrsWgt;

    /**
     * 预报皮重(对方皮重)(SDR_TAR_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="预报皮重(对方皮重)",required=false)
    private BigDecimal sdrTarWgt;

    /**
     * 预报净重(对方净重)(SDR_NET_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="预报净重(对方净重)",required=false)
    private BigDecimal sdrNetWgt;

    /**
     * 应扣除重量(KG)(DIS_WGT,DECIMAL,12)
     */
    @ApiModelProperty(value="应扣除重量(KG)",required=false)
    private BigDecimal disWgt;

    /**
     * 应扣比率%(DIS_RATIO,DECIMAL,4)
     */
    @ApiModelProperty(value="应扣比率%",required=false)
    private BigDecimal disRatio;

    /**
     * 最终净重（扣水扣渣后净重）(NET_END,DECIMAL,12)
     */
    @ApiModelProperty(value="最终净重（扣水扣渣后净重）",required=false)
    private BigDecimal netEnd;

    /**
     * 一次计量方式(NO1_WGT_MODE,VARCHAR,10)
     */
    @ApiModelProperty(value="一次计量方式",required=false)
    private String no1WgtMode;

    /**
     * 二次次计量方式(NO2_WGT_MODE,VARCHAR,10)
     */
    @ApiModelProperty(value="二次次计量方式",required=false)
    private String no2WgtMode;

    /**
     * rfid号(RFID_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="rfid号",required=false)
    private String rfidNo;

    /**
     * 审核标记；0=未审核，1=审核(CHK_FLG,VARCHAR,1)
     */
    @ApiModelProperty(value="审核标记；0=未审核，1=审核",required=false)
    private String chkFlg;

    /**
     * 审核人(CHECKER,VARCHAR,20)
     */
    @ApiModelProperty(value="审核人",required=false)
    private String checker;

    /**
     * 审核时间(CHK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间",required=false)
    private Date chkTime;

    /**
     * 修改操作人(CHM_PER,VARCHAR,20)
     */
    @ApiModelProperty(value="修改操作人",required=false)
    private String chmPer;

    /**
     * 修改时间(CHM_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date chmTime;

    /**
     * 修改类型(CHM_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="修改类型",required=false)
    private String chmType;

    /**
     * 运输单位编码(TRANSPORT,VARCHAR,20)
     */
    @ApiModelProperty(value="运输单位编码",required=false)
    private String transport;

    /**
     * 运输单位(TRANS_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="运输单位",required=false)
    private String transName;

    /**
     * 毛重曲线(GRS_WGT_CURVE,VARCHAR,2000)
     */
    @ApiModelProperty(value="毛重曲线",required=false)
    private String grsWgtCurve;

    /**
     * 皮重曲线(TAR_WGT_CURVE,VARCHAR,2000)
     */
    @ApiModelProperty(value="皮重曲线",required=false)
    private String tarWgtCurve;

    /**
     * 扣渣人(DIS_OPR,VARCHAR,20)
     */
    @ApiModelProperty(value="扣渣人",required=false)
    private String disOpr;

    /**
     * 扣渣时间(DIS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="扣渣时间",required=false)
    private Date disTime;

    /**
     * 方大上传标志，0没上传，1已上传(FD_UPFLG,VARCHAR,1)
     */
    @ApiModelProperty(value="方大上传标志，0没上传，1已上传",required=false)
    private String fdUpflg;

    /**
     * 船转汽标志(CH_UP,VARCHAR,1)
     */
    @ApiModelProperty(value="船转汽标志",required=false)
    private String chUp;

    /**
     * 船转汽操作人(CH_OPR,VARCHAR,20)
     */
    @ApiModelProperty(value="船转汽操作人",required=false)
    private String chOpr;

    /**
     * 船转汽操作时间(CH_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="船转汽操作时间",required=false)
    private Date chTime;

    /**
     * 提单号(TD_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="提单号",required=false)
    private String tdNo;

    /**
     * 提单量(TD_WGT,DECIMAL,16)
     */
    @ApiModelProperty(value="提单量",required=false)
    private BigDecimal tdWgt;

    /**
     * 订单号(DD_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="订单号",required=false)
    private String ddNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.wgtNo;
    }

    @Override
    public void setId(String wgtNo) {
        this.wgtNo = wgtNo == null ? null : wgtNo.trim();
    }

    public String getWgtNo() {
        return wgtNo;
    }

    public void setWgtNo(String wgtNo) {
        this.wgtNo = wgtNo == null ? null : wgtNo.trim();
    }

    public String getBillno() {
        return billno;
    }

    public void setBillno(String billno) {
        this.billno = billno == null ? null : billno.trim();
    }

    public String getTruNo() {
        return truNo;
    }

    public void setTruNo(String truNo) {
        this.truNo = truNo == null ? null : truNo.trim();
    }

    public String getLgsNo() {
        return lgsNo;
    }

    public void setLgsNo(String lgsNo) {
        this.lgsNo = lgsNo == null ? null : lgsNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getIcdNo() {
        return icdNo;
    }

    public void setIcdNo(String icdNo) {
        this.icdNo = icdNo == null ? null : icdNo.trim();
    }

    public Short getGrsBoxNo() {
        return grsBoxNo;
    }

    public void setGrsBoxNo(Short grsBoxNo) {
        this.grsBoxNo = grsBoxNo;
    }

    public Short getTarBoxNo() {
        return tarBoxNo;
    }

    public void setTarBoxNo(Short tarBoxNo) {
        this.tarBoxNo = tarBoxNo;
    }

    public BigDecimal getGrsSpd() {
        return grsSpd;
    }

    public void setGrsSpd(BigDecimal grsSpd) {
        this.grsSpd = grsSpd;
    }

    public BigDecimal getTarSpd() {
        return tarSpd;
    }

    public void setTarSpd(BigDecimal tarSpd) {
        this.tarSpd = tarSpd;
    }

    public String getTrnType() {
        return trnType;
    }

    public void setTrnType(String trnType) {
        this.trnType = trnType == null ? null : trnType.trim();
    }

    public String getGrsVdoFile() {
        return grsVdoFile;
    }

    public void setGrsVdoFile(String grsVdoFile) {
        this.grsVdoFile = grsVdoFile == null ? null : grsVdoFile.trim();
    }

    public String getTarVdoFile() {
        return tarVdoFile;
    }

    public void setTarVdoFile(String tarVdoFile) {
        this.tarVdoFile = tarVdoFile == null ? null : tarVdoFile.trim();
    }

    public String getGrsTrnNo() {
        return grsTrnNo;
    }

    public void setGrsTrnNo(String grsTrnNo) {
        this.grsTrnNo = grsTrnNo == null ? null : grsTrnNo.trim();
    }

    public String getTarTrnNo() {
        return tarTrnNo;
    }

    public void setTarTrnNo(String tarTrnNo) {
        this.tarTrnNo = tarTrnNo == null ? null : tarTrnNo.trim();
    }

    public String getWgtType() {
        return wgtType;
    }

    public void setWgtType(String wgtType) {
        this.wgtType = wgtType == null ? null : wgtType.trim();
    }

    public BigDecimal getGrsWgt() {
        return grsWgt;
    }

    public void setGrsWgt(BigDecimal grsWgt) {
        this.grsWgt = grsWgt;
    }

    public BigDecimal getTarWgt() {
        return tarWgt;
    }

    public void setTarWgt(BigDecimal tarWgt) {
        this.tarWgt = tarWgt;
    }

    public BigDecimal getNetWgt() {
        return netWgt;
    }

    public void setNetWgt(BigDecimal netWgt) {
        this.netWgt = netWgt;
    }

    public BigDecimal getNo2Wgt() {
        return no2Wgt;
    }

    public void setNo2Wgt(BigDecimal no2Wgt) {
        this.no2Wgt = no2Wgt;
    }

    public String getGrsWgtNo() {
        return grsWgtNo;
    }

    public void setGrsWgtNo(String grsWgtNo) {
        this.grsWgtNo = grsWgtNo == null ? null : grsWgtNo.trim();
    }

    public String getTarWgtNo() {
        return tarWgtNo;
    }

    public void setTarWgtNo(String tarWgtNo) {
        this.tarWgtNo = tarWgtNo == null ? null : tarWgtNo.trim();
    }

    public String getTarType() {
        return tarType;
    }

    public void setTarType(String tarType) {
        this.tarType = tarType == null ? null : tarType.trim();
    }

    public String getTarInfMode() {
        return tarInfMode;
    }

    public void setTarInfMode(String tarInfMode) {
        this.tarInfMode = tarInfMode == null ? null : tarInfMode.trim();
    }

    public String getGrsInfMode() {
        return grsInfMode;
    }

    public void setGrsInfMode(String grsInfMode) {
        this.grsInfMode = grsInfMode == null ? null : grsInfMode.trim();
    }

    public String getNetInfMode() {
        return netInfMode;
    }

    public void setNetInfMode(String netInfMode) {
        this.netInfMode = netInfMode == null ? null : netInfMode.trim();
    }

    public Date getGrsTime() {
        return grsTime;
    }

    public void setGrsTime(Date grsTime) {
        this.grsTime = grsTime;
    }

    public Date getTarTime() {
        return tarTime;
    }

    public void setTarTime(Date tarTime) {
        this.tarTime = tarTime;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getGrsWrkOrd() {
        return grsWrkOrd;
    }

    public void setGrsWrkOrd(String grsWrkOrd) {
        this.grsWrkOrd = grsWrkOrd == null ? null : grsWrkOrd.trim();
    }

    public String getTarWrkOrd() {
        return tarWrkOrd;
    }

    public void setTarWrkOrd(String tarWrkOrd) {
        this.tarWrkOrd = tarWrkOrd == null ? null : tarWrkOrd.trim();
    }

    public String getNetWrkOrd() {
        return netWrkOrd;
    }

    public void setNetWrkOrd(String netWrkOrd) {
        this.netWrkOrd = netWrkOrd == null ? null : netWrkOrd.trim();
    }

    public String getGrsWrkGrp() {
        return grsWrkGrp;
    }

    public void setGrsWrkGrp(String grsWrkGrp) {
        this.grsWrkGrp = grsWrkGrp == null ? null : grsWrkGrp.trim();
    }

    public String getTarWrkGrp() {
        return tarWrkGrp;
    }

    public void setTarWrkGrp(String tarWrkGrp) {
        this.tarWrkGrp = tarWrkGrp == null ? null : tarWrkGrp.trim();
    }

    public String getNetWrkGrp() {
        return netWrkGrp;
    }

    public void setNetWrkGrp(String netWrkGrp) {
        this.netWrkGrp = netWrkGrp == null ? null : netWrkGrp.trim();
    }

    public String getGrsOpr() {
        return grsOpr;
    }

    public void setGrsOpr(String grsOpr) {
        this.grsOpr = grsOpr == null ? null : grsOpr.trim();
    }

    public String getTarOpr() {
        return tarOpr;
    }

    public void setTarOpr(String tarOpr) {
        this.tarOpr = tarOpr == null ? null : tarOpr.trim();
    }

    public String getNetOpr() {
        return netOpr;
    }

    public void setNetOpr(String netOpr) {
        this.netOpr = netOpr == null ? null : netOpr.trim();
    }

    public String getGrsPntName() {
        return grsPntName;
    }

    public void setGrsPntName(String grsPntName) {
        this.grsPntName = grsPntName == null ? null : grsPntName.trim();
    }

    public String getTarPntName() {
        return tarPntName;
    }

    public void setTarPntName(String tarPntName) {
        this.tarPntName = tarPntName == null ? null : tarPntName.trim();
    }

    public String getNetPntName() {
        return netPntName;
    }

    public void setNetPntName(String netPntName) {
        this.netPntName = netPntName == null ? null : netPntName.trim();
    }

    public String getGrsPntNo() {
        return grsPntNo;
    }

    public void setGrsPntNo(String grsPntNo) {
        this.grsPntNo = grsPntNo == null ? null : grsPntNo.trim();
    }

    public String getTarPntNo() {
        return tarPntNo;
    }

    public void setTarPntNo(String tarPntNo) {
        this.tarPntNo = tarPntNo == null ? null : tarPntNo.trim();
    }

    public String getNetPntNo() {
        return netPntNo;
    }

    public void setNetPntNo(String netPntNo) {
        this.netPntNo = netPntNo == null ? null : netPntNo.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getSdrType() {
        return sdrType;
    }

    public void setSdrType(String sdrType) {
        this.sdrType = sdrType == null ? null : sdrType.trim();
    }

    public String getSdrName() {
        return sdrName;
    }

    public void setSdrName(String sdrName) {
        this.sdrName = sdrName == null ? null : sdrName.trim();
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender == null ? null : sender.trim();
    }

    public String getSdrNote() {
        return sdrNote;
    }

    public void setSdrNote(String sdrNote) {
        this.sdrNote = sdrNote == null ? null : sdrNote.trim();
    }

    public String getRcvType() {
        return rcvType;
    }

    public void setRcvType(String rcvType) {
        this.rcvType = rcvType == null ? null : rcvType.trim();
    }

    public String getRcvName() {
        return rcvName;
    }

    public void setRcvName(String rcvName) {
        this.rcvName = rcvName == null ? null : rcvName.trim();
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver == null ? null : receiver.trim();
    }

    public String getRcvNote() {
        return rcvNote;
    }

    public void setRcvNote(String rcvNote) {
        this.rcvNote = rcvNote == null ? null : rcvNote.trim();
    }

    public String getMatName() {
        return matName;
    }

    public void setMatName(String matName) {
        this.matName = matName == null ? null : matName.trim();
    }

    public String getMatCode() {
        return matCode;
    }

    public void setMatCode(String matCode) {
        this.matCode = matCode == null ? null : matCode.trim();
    }

    public Short getB1PrnNum() {
        return b1PrnNum;
    }

    public void setB1PrnNum(Short b1PrnNum) {
        this.b1PrnNum = b1PrnNum;
    }

    public Short getB2PrnNum() {
        return b2PrnNum;
    }

    public void setB2PrnNum(Short b2PrnNum) {
        this.b2PrnNum = b2PrnNum;
    }

    public Short getB1PrnNum2() {
        return b1PrnNum2;
    }

    public void setB1PrnNum2(Short b1PrnNum2) {
        this.b1PrnNum2 = b1PrnNum2;
    }

    public String getUplFlg() {
        return uplFlg;
    }

    public void setUplFlg(String uplFlg) {
        this.uplFlg = uplFlg == null ? null : uplFlg.trim();
    }

    public Date getUplTime() {
        return uplTime;
    }

    public void setUplTime(Date uplTime) {
        this.uplTime = uplTime;
    }

    public String getDelFlg() {
        return delFlg;
    }

    public void setDelFlg(String delFlg) {
        this.delFlg = delFlg == null ? null : delFlg.trim();
    }

    public String getExtBox() {
        return extBox;
    }

    public void setExtBox(String extBox) {
        this.extBox = extBox == null ? null : extBox.trim();
    }

    public BigDecimal getSdrGrsWgt() {
        return sdrGrsWgt;
    }

    public void setSdrGrsWgt(BigDecimal sdrGrsWgt) {
        this.sdrGrsWgt = sdrGrsWgt;
    }

    public BigDecimal getSdrTarWgt() {
        return sdrTarWgt;
    }

    public void setSdrTarWgt(BigDecimal sdrTarWgt) {
        this.sdrTarWgt = sdrTarWgt;
    }

    public BigDecimal getSdrNetWgt() {
        return sdrNetWgt;
    }

    public void setSdrNetWgt(BigDecimal sdrNetWgt) {
        this.sdrNetWgt = sdrNetWgt;
    }

    public BigDecimal getDisWgt() {
        return disWgt;
    }

    public void setDisWgt(BigDecimal disWgt) {
        this.disWgt = disWgt;
    }

    public BigDecimal getDisRatio() {
        return disRatio;
    }

    public void setDisRatio(BigDecimal disRatio) {
        this.disRatio = disRatio;
    }

    public BigDecimal getNetEnd() {
        return netEnd;
    }

    public void setNetEnd(BigDecimal netEnd) {
        this.netEnd = netEnd;
    }

    public String getNo1WgtMode() {
        return no1WgtMode;
    }

    public void setNo1WgtMode(String no1WgtMode) {
        this.no1WgtMode = no1WgtMode == null ? null : no1WgtMode.trim();
    }

    public String getNo2WgtMode() {
        return no2WgtMode;
    }

    public void setNo2WgtMode(String no2WgtMode) {
        this.no2WgtMode = no2WgtMode == null ? null : no2WgtMode.trim();
    }

    public String getRfidNo() {
        return rfidNo;
    }

    public void setRfidNo(String rfidNo) {
        this.rfidNo = rfidNo == null ? null : rfidNo.trim();
    }

    public String getChkFlg() {
        return chkFlg;
    }

    public void setChkFlg(String chkFlg) {
        this.chkFlg = chkFlg == null ? null : chkFlg.trim();
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }

    public Date getChkTime() {
        return chkTime;
    }

    public void setChkTime(Date chkTime) {
        this.chkTime = chkTime;
    }

    public String getChmPer() {
        return chmPer;
    }

    public void setChmPer(String chmPer) {
        this.chmPer = chmPer == null ? null : chmPer.trim();
    }

    public Date getChmTime() {
        return chmTime;
    }

    public void setChmTime(Date chmTime) {
        this.chmTime = chmTime;
    }

    public String getChmType() {
        return chmType;
    }

    public void setChmType(String chmType) {
        this.chmType = chmType == null ? null : chmType.trim();
    }

    public String getTransport() {
        return transport;
    }

    public void setTransport(String transport) {
        this.transport = transport == null ? null : transport.trim();
    }

    public String getTransName() {
        return transName;
    }

    public void setTransName(String transName) {
        this.transName = transName == null ? null : transName.trim();
    }

    public String getGrsWgtCurve() {
        return grsWgtCurve;
    }

    public void setGrsWgtCurve(String grsWgtCurve) {
        this.grsWgtCurve = grsWgtCurve == null ? null : grsWgtCurve.trim();
    }

    public String getTarWgtCurve() {
        return tarWgtCurve;
    }

    public void setTarWgtCurve(String tarWgtCurve) {
        this.tarWgtCurve = tarWgtCurve == null ? null : tarWgtCurve.trim();
    }

    public String getDisOpr() {
        return disOpr;
    }

    public void setDisOpr(String disOpr) {
        this.disOpr = disOpr == null ? null : disOpr.trim();
    }

    public Date getDisTime() {
        return disTime;
    }

    public void setDisTime(Date disTime) {
        this.disTime = disTime;
    }

    public String getFdUpflg() {
        return fdUpflg;
    }

    public void setFdUpflg(String fdUpflg) {
        this.fdUpflg = fdUpflg == null ? null : fdUpflg.trim();
    }

    public String getChUp() {
        return chUp;
    }

    public void setChUp(String chUp) {
        this.chUp = chUp == null ? null : chUp.trim();
    }

    public String getChOpr() {
        return chOpr;
    }

    public void setChOpr(String chOpr) {
        this.chOpr = chOpr == null ? null : chOpr.trim();
    }

    public Date getChTime() {
        return chTime;
    }

    public void setChTime(Date chTime) {
        this.chTime = chTime;
    }

    public String getTdNo() {
        return tdNo;
    }

    public void setTdNo(String tdNo) {
        this.tdNo = tdNo == null ? null : tdNo.trim();
    }

    public BigDecimal getTdWgt() {
        return tdWgt;
    }

    public void setTdWgt(BigDecimal tdWgt) {
        this.tdWgt = tdWgt;
    }

    public String getDdNo() {
        return ddNo;
    }

    public void setDdNo(String ddNo) {
        this.ddNo = ddNo == null ? null : ddNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", wgtNo=").append(wgtNo);
        sb.append(", billno=").append(billno);
        sb.append(", truNo=").append(truNo);
        sb.append(", lgsNo=").append(lgsNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", icdNo=").append(icdNo);
        sb.append(", grsBoxNo=").append(grsBoxNo);
        sb.append(", tarBoxNo=").append(tarBoxNo);
        sb.append(", grsSpd=").append(grsSpd);
        sb.append(", tarSpd=").append(tarSpd);
        sb.append(", trnType=").append(trnType);
        sb.append(", grsVdoFile=").append(grsVdoFile);
        sb.append(", tarVdoFile=").append(tarVdoFile);
        sb.append(", grsTrnNo=").append(grsTrnNo);
        sb.append(", tarTrnNo=").append(tarTrnNo);
        sb.append(", wgtType=").append(wgtType);
        sb.append(", grsWgt=").append(grsWgt);
        sb.append(", tarWgt=").append(tarWgt);
        sb.append(", netWgt=").append(netWgt);
        sb.append(", no2Wgt=").append(no2Wgt);
        sb.append(", grsWgtNo=").append(grsWgtNo);
        sb.append(", tarWgtNo=").append(tarWgtNo);
        sb.append(", tarType=").append(tarType);
        sb.append(", tarInfMode=").append(tarInfMode);
        sb.append(", grsInfMode=").append(grsInfMode);
        sb.append(", netInfMode=").append(netInfMode);
        sb.append(", grsTime=").append(grsTime);
        sb.append(", tarTime=").append(tarTime);
        sb.append(", netTime=").append(netTime);
        sb.append(", grsWrkOrd=").append(grsWrkOrd);
        sb.append(", tarWrkOrd=").append(tarWrkOrd);
        sb.append(", netWrkOrd=").append(netWrkOrd);
        sb.append(", grsWrkGrp=").append(grsWrkGrp);
        sb.append(", tarWrkGrp=").append(tarWrkGrp);
        sb.append(", netWrkGrp=").append(netWrkGrp);
        sb.append(", grsOpr=").append(grsOpr);
        sb.append(", tarOpr=").append(tarOpr);
        sb.append(", netOpr=").append(netOpr);
        sb.append(", grsPntName=").append(grsPntName);
        sb.append(", tarPntName=").append(tarPntName);
        sb.append(", netPntName=").append(netPntName);
        sb.append(", grsPntNo=").append(grsPntNo);
        sb.append(", tarPntNo=").append(tarPntNo);
        sb.append(", netPntNo=").append(netPntNo);
        sb.append(", note=").append(note);
        sb.append(", sdrType=").append(sdrType);
        sb.append(", sdrName=").append(sdrName);
        sb.append(", sender=").append(sender);
        sb.append(", sdrNote=").append(sdrNote);
        sb.append(", rcvType=").append(rcvType);
        sb.append(", rcvName=").append(rcvName);
        sb.append(", receiver=").append(receiver);
        sb.append(", rcvNote=").append(rcvNote);
        sb.append(", matName=").append(matName);
        sb.append(", matCode=").append(matCode);
        sb.append(", b1PrnNum=").append(b1PrnNum);
        sb.append(", b2PrnNum=").append(b2PrnNum);
        sb.append(", b1PrnNum2=").append(b1PrnNum2);
        sb.append(", uplFlg=").append(uplFlg);
        sb.append(", uplTime=").append(uplTime);
        sb.append(", delFlg=").append(delFlg);
        sb.append(", extBox=").append(extBox);
        sb.append(", sdrGrsWgt=").append(sdrGrsWgt);
        sb.append(", sdrTarWgt=").append(sdrTarWgt);
        sb.append(", sdrNetWgt=").append(sdrNetWgt);
        sb.append(", disWgt=").append(disWgt);
        sb.append(", disRatio=").append(disRatio);
        sb.append(", netEnd=").append(netEnd);
        sb.append(", no1WgtMode=").append(no1WgtMode);
        sb.append(", no2WgtMode=").append(no2WgtMode);
        sb.append(", rfidNo=").append(rfidNo);
        sb.append(", chkFlg=").append(chkFlg);
        sb.append(", checker=").append(checker);
        sb.append(", chkTime=").append(chkTime);
        sb.append(", chmPer=").append(chmPer);
        sb.append(", chmTime=").append(chmTime);
        sb.append(", chmType=").append(chmType);
        sb.append(", transport=").append(transport);
        sb.append(", transName=").append(transName);
        sb.append(", grsWgtCurve=").append(grsWgtCurve);
        sb.append(", tarWgtCurve=").append(tarWgtCurve);
        sb.append(", disOpr=").append(disOpr);
        sb.append(", disTime=").append(disTime);
        sb.append(", fdUpflg=").append(fdUpflg);
        sb.append(", chUp=").append(chUp);
        sb.append(", chOpr=").append(chOpr);
        sb.append(", chTime=").append(chTime);
        sb.append(", tdNo=").append(tdNo);
        sb.append(", tdWgt=").append(tdWgt);
        sb.append(", ddNo=").append(ddNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}